#ifndef DIALOG_H
#define DIALOG_H

#include <QDialog>

class Chart;


namespace Ui {
class Dialog;
}

class Dialog : public QDialog
{
    Q_OBJECT
    
public:
    explicit Dialog(QWidget *parent = 0);
    ~Dialog();
    
private slots:
    void on_pushButton_clicked();
    void on_pushButton_2_clicked();
	void mouseWheel();
	void mousePress();
    void on_freqSlider_valueChanged(int value);
    void on_dblFrequency_valueChanged(double arg1);
    void on_radioSinusoidal_clicked();
    void on_radioLinearSweep_clicked();
    void on_radioRandom_clicked();

private:
    void redraw();
    void read_parameter();
	void csv_output();
	void calc();
	void plot();
    void results();
    void matrices();
    Chart * chart;

    Ui::Dialog *ui;
};

#endif // DIALOG_H
